from django.conf.urls import url
from django.views.decorators.csrf import csrf_exempt
import minecraft_manager.api.views as api

urlpatterns = [
    #API - Password protected
    url(r'^web/(?P<keyword>\w{1,20})/$', csrf_exempt(api.WebAPI.as_view()), name="api-web"),
    url(r'^plugin/(?P<keyword>\w{1,20})/$', csrf_exempt(api.PluginAPI.as_view()), name="api-plugin"),
    url(r'^form/(?P<request_model>\w{1,20})/$', csrf_exempt(api.FormAPI.as_view()), name="api-form"),
    url(r'^model/(?P<request_model>\w{1,20})/$', csrf_exempt(api.ModelAPI.as_view()), name="api-model"),
    url(r'^stats/$', csrf_exempt(api.StatsAPI.as_view()), name="api-stats"),
]
